## ocaml-csexp 1.3.2

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

default:
	dune runtest

test:
	dune runtest

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

reinstall: uninstall install

clean:
	dune clean

all-supported-ocaml-versions:
	dune build @install @runtest --workspace dune-workspace.dev

.PHONY: default install uninstall reinstall clean test

=== debian/changelog ===
ocaml-csexp (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Dec 2020 10:49:34 +0100

ocaml-csexp (1.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #970010)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Sep 2020 07:15:57 +0200

=== debian/control ===
Source: ocaml-csexp
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune (>= 1.11),
 libresult-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-csexp
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-csexp.git
Homepage: https://github.com/ocaml-dune/csexp

Package: libcsexp-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib
Description: parsing and printing of S-expressions in Canonical form (dev)
 This library provides minimal support for Canonical
 S-expressions. Canonical S-expressions are a binary encoding of
 S-expressions that is super simple and well suited for communication
 between programs.
 .
 This library only provides a few helpers for simple applications. If
 you need more advanced support, such as parsing from more fancy input
 sources, you should consider copying the code of this library given
 how simple parsing S-expressions in canonical form is.
 .
 To avoid a dependency on a particular S-expression library, the only
 module of this library is parameterised by the type of S-expressions.
 .
 This package contains development files.

Package: libcsexp-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: parsing and printing of S-expressions in Canonical form (runtime)
 This library provides minimal support for Canonical
 S-expressions. Canonical S-expressions are a binary encoding of
 S-expressions that is super simple and well suited for communication
 between programs.
 .
 This library only provides a few helpers for simple applications. If
 you need more advanced support, such as parsing from more fancy input
 sources, you should consider copying the code of this library given
 how simple parsing S-expressions in canonical form is.
 .
 To avoid a dependency on a particular S-expression library, the only
 module of this library is parameterised by the type of S-expressions.
 .
 This package contains runtime files.

=== debian/watch ===
version=3
https://github.com/ocaml-dune/csexp/releases .*csexp-([0-9.]+)\.tbz

## ocaml-csexp 1.5.1

=== Makefile ===
--- 
+++ 
@@ -20,4 +20,12 @@
 all-supported-ocaml-versions:
 	dune build @install @runtest --workspace dune-workspace.dev
 
+dune-release:
+	dune-release tag
+	dune-release distrib --skip-build --skip-lint --skip-tests -n csexp
+# See https://github.com/ocamllabs/dune-release/issues/206
+	DUNE_RELEASE_DELEGATE=github-dune-release-delegate dune-release publish distrib --verbose -n csexp
+	dune-release opam pkg -n csexp
+	dune-release opam submit -n csexp
+
 .PHONY: default install uninstall reinstall clean test

=== debian/changelog ===
ocaml-csexp (1.5.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:19:44 +0100

ocaml-csexp (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 17:08:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
  debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune (>= 1.11),
- libresult-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-csexp
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-csexp.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p csexp

override_dh_auto_test:
# Needs ppx_expect

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f debian/tmp/usr/doc/csexp/LICENSE.md

## ocaml-csexp 1.5.2

=== Makefile ===
--- 
+++ 
@@ -22,10 +22,10 @@
 
 dune-release:
 	dune-release tag
-	dune-release distrib --skip-build --skip-lint --skip-tests -n csexp
+	dune-release distrib --skip-build --skip-lint --skip-tests
 # See https://github.com/ocamllabs/dune-release/issues/206
-	DUNE_RELEASE_DELEGATE=github-dune-release-delegate dune-release publish distrib --verbose -n csexp
-	dune-release opam pkg -n csexp
-	dune-release opam submit -n csexp
+	DUNE_RELEASE_DELEGATE=github-dune-release-delegate dune-release publish distrib --verbose
+	dune-release opam pkg
+	dune-release opam submit
 
 .PHONY: default install uninstall reinstall clean test

=== debian/changelog ===
ocaml-csexp (1.5.2-4build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:56:15 +0200

ocaml-csexp (1.5.2-4build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 23:30:38 +0100

ocaml-csexp (1.5.2-4build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:12:25 +0200

ocaml-csexp (1.5.2-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:09:49 +0100

ocaml-csexp (1.5.2-4) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:48:41 +0200

ocaml-csexp (1.5.2-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 06:47:52 +0200

ocaml-csexp (1.5.2-2) unstable; urgency=medium

  * New upstream release
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 11:02:43 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Needs ppx_expect
